# Created by pyp2rpm-3.3.4
%global pypi_name patiencediff

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 1
Summary:        Python implementation of the patiencediff algorithm
Group:          Development/Python
License:        GNU GPLv2 or later
URL:            https://www.breezy-vcs.org/
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This package contains the implementation of the patiencediff algorithm,
as first described by Bram Cohen.

Like Python’s difflib, this module provides both a convience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package contains the implementation of the patiencediff algorithm,
as first described by Bram Cohen.

Like Python’s difflib, this module provides both a convience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.2.1-1.mga8
+ Revision: 1648441
- new version 0.2.1

* Sat Jul 04 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1601841
- imported package python-patiencediff

